$(document).ready(function () {
    $("body").on("change", ".state", getStateCode);
    
    function getStateCode(){
        var state = $(".state").val();
        $.post('get_stcode.php', {state: state} ,function(data){
            $(".statecode").val(data);
        });
    }
});